Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.jaxp
Class SAXParserFactoryImpl

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParserFactory
            |
            +--weblogic.apache.xerces.jaxp.SAXParserFactoryImpl

public class SAXParserFactoryImpl
extends javax.xml.parsers.SAXParserFactory

This is the implementation specific class for the `javax.xml.parsers.SAXParserFactory`. This is the platform default implementation for the platform.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`SAXParserFactoryImpl()`

Method Summary
`boolean` | `getFeature(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`javax.xml.parsers.SAXParser` | `newSAXParser()` Creates a new instance of `SAXParser` using the currently configured factory parameters.
`void` | `setFeature(java.lang.String name, boolean value)` Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParserFactory
`isNamespaceAware, isValidating, newInstance, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParserFactoryImpl

    public SAXParserFactoryImpl()

Method Detail

### newSAXParser

    public javax.xml.parsers.SAXParser newSAXParser()
                                             throws javax.xml.parsers.ParserConfigurationException

  Creates a new instance of `SAXParser` using the currently configured factory parameters.

  Returns:
    javax.xml.parsers.SAXParser
  Overrides:
    newSAXParser in class javax.xml.parsers.SAXParserFactory

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws javax.xml.parsers.ParserConfigurationException,
                           org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.

  Overrides:
    setFeature in class javax.xml.parsers.SAXParserFactory

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws javax.xml.parsers.ParserConfigurationException,
                              org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.

  Overrides:
    getFeature in class javax.xml.parsers.SAXParserFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference